/* Populate with current location */
let locationDiv = document.getElementById("locationList");

if (localStorage.curLocation != null) {
	locationDiv.innerHTML = localStorage.curLocation;
}

/* Run code on submit button push */
let locationForm = document.getElementById("locationForm");
locationForm.addEventListener("submit", (event) => {
	
	formValues = buildFormValueObj();
	saveValuesLocally(formValues);
	addValuesToDom(formValues);

	/* This stops the usual function of "submit" which is to send data
	to another server */
	event.preventDefault();
})

let addValuesToDom = (formValueObj) => {
	let locationDiv = document.getElementById("locationList");
	locationDiv.innerHTML = localStorage.curLocation;
	locationDiv.classList.add("highlight");
}

let saveValuesLocally = (formValueObj) => {
	localStorage.curLocation = formatValues(formValueObj);
}

let formatValues = (formValueObj) => {
	return `<li>${formValueObj.name}: ${formValueObj.state}</li>`
}

let buildFormValueObj = () => {
	let locationForm = document.getElementById("locationForm");
	let name = locationForm.elements.namedItem("name").value;
	let state = locationForm.elements.namedItem("state").value;

	return {
		"name": name,
		"state": state
	}
}